Package org.gradle.api.plugins.antlr

## Interface AntlrSourceVirtualDirectory

-     @Deprecated
      public interface AntlrSourceVirtualDirectory

  Deprecated.
  Using conventions to contribute source sets is deprecated. You can configure the antlr sources via the `AntlrSourceDirectorySet` extension (e.g. `sourceSet.getExtensions().getByType(AntlrSourceDirectorySet.class).setSrcDirs(...)`). This interface is scheduled for removal in Gradle 8.0.
  Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `source sets`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AntlrSourceVirtualDirectory` | `antlr​(Closure configureClosure)` | Deprecated. Configures the Antlr source for this set.
    `AntlrSourceVirtualDirectory` | `antlr​(Action<? super SourceDirectorySet> configureAction)` | Deprecated. Configures the Antlr source for this set.
    `SourceDirectorySet` | `getAntlr()` | Deprecated. All Antlr source for this source set.

- - ### Field Detail

    - #### NAME

          static final String NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAntlr

          SourceDirectorySet getAntlr()

      Deprecated.
      All Antlr source for this source set.
      Returns:
        The Antlr source. Never returns null.

    - #### antlr

          AntlrSourceVirtualDirectory antlr​(Closure configureClosure)

      Deprecated.
      Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `getAntlr()`) which contains the Antlr source.
      Parameters:
        `configureClosure` - The closure to use to configure the Antlr source.
      Returns:
        this

    - #### antlr

          AntlrSourceVirtualDirectory antlr​(Action<? super SourceDirectorySet> configureAction)

      Deprecated.
      Configures the Antlr source for this set. The given action is used to configure the `SourceDirectorySet` (see `getAntlr()`) which contains the Antlr source.
      Parameters:
        `configureAction` - The action to use to configure the Antlr source.
      Returns:
        this
      Since:
        3.5